@import '_content/Toolbelt.Blazor.PWA.Updater/Toolbelt.Blazor.PWA.Updater.bundle.scp.css';

/* /Components/VerbConjunctionComponent.razor.rz.scp.css */
.fav-set[b-bfprh9nn9w]{
    color: orange;
}
/* .conjunction td {
    padding: 0.4em;
}

.conjunction .sel {
    background-color: beige;
    min-width: 7em;
    text-align: center;
    font-weight: bold;
    color: black;
}

.tensbox{
    background-color: #ddd;
    margin: 1em;
    padding:0.5em;
    margin: 1em 0;
}

.conjunction td{
    color:#888;
}

.rb{
    border-bottom: 1px solid #ddd;
    border-right: 1px solid #ddd;
}

.b{
    border-bottom: 1px solid #ddd;
} 

.r{
    border-right: 1px solid #ddd;
} */
.verb-tens-container[b-bfprh9nn9w] {
    background-color: #ddd;
    padding: 1em;
    border-radius: 0.5em;
    margin-top: 1em;
    color: #777;
}
  
.verb-conjunction-table[b-bfprh9nn9w] {
    width: 100%;
  }
  .verb-conjunction-table td[b-bfprh9nn9w] {
    width: 50%;
    border-bottom: 1px solid #888;
  }
  .verb-conjunction-table .vs[b-bfprh9nn9w] {
    border-right: 1px solid #888;
  }
  .verb-conjunction-table .verb[b-bfprh9nn9w] {
    background-color:#addf8e;
    color:black;
    font-weight:bold;
  }

  .fade-out[b-bfprh9nn9w]{
      animation: fade-b-bfprh9nn9w .5s linear forwards;
  }
  .fade-in[b-bfprh9nn9w] {
        animation: fade-b-bfprh9nn9w .5s linear forwards;
    }

  .hidden[b-bfprh9nn9w]{
      visibility:hidden;
  }

@keyframes fade-b-bfprh9nn9w {
    0% { opacity:1;
    }
    100%{
        opacity:0;
    }
}

@keyframes fade-b-bfprh9nn9w {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}
/* /Pages/FindVerb.razor.rz.scp.css */
.autocomplete[b-vmqo41bsep] {
    position: relative;
}

.autocomplete .options[b-vmqo41bsep] {
    position: absolute;
    left: 0;
    top: -1em;
    background: white;
    width: 100%;
    padding: 0;
    z-index: 10;
    border: 1px solid #ced4da;
    border-radius: 0.5rem;
    box-shadow: 0 30px 25px 8px rgba(0, 0, 0, 0.1);
}

.autocomplete .option[b-vmqo41bsep] {
    display: block;
    padding: 0.25rem;
}

.autocomplete .option .option-text[b-vmqo41bsep] {
    padding: 0.25rem 0.5rem;
}

.autocomplete .option:hover[b-vmqo41bsep] {
    background: #1E90FF;
    color: #fff;
    cursor: pointer;
}

.autocomplete .option .option.disabled[b-vmqo41bsep] {
    background-color: lightgrey;
    cursor: not-allowed;
}

.autocomplete .option .option.disabled:hover[b-vmqo41bsep] {
    background: lightgrey;
    color: var(--bs-body);
}

.toUpper[b-vmqo41bsep] {
    text-transform: uppercase;
}
/* /Pages/ListVerbs.razor.rz.scp.css */
.scroll-top-button[b-aejshxt0p3]{
    position:absolute;

}
/* /Shared/MainLayout.razor.rz.scp.css */
/* .page {
    position: relative;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
}

.sidebar {
    background-color: rgba(0,0,0,0.4);
}

.top-row {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row ::deep a, .top-row ::deep .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row ::deep a:hover, .top-row ::deep .btn-link:hover {
        text-decoration: underline;
    }

    .top-row ::deep a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth) {
        display: none;
    }

    .top-row.auth {
        justify-content: space-between;
    }

    .top-row ::deep a, .top-row ::deep .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth ::deep a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row, article {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
} */
/* /Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-erkmxwro6x] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-erkmxwro6x] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-erkmxwro6x] {
    font-size: 1.1rem;
}

.oi[b-erkmxwro6x] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-erkmxwro6x] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-erkmxwro6x] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-erkmxwro6x] {
        padding-bottom: 1rem;
    }

    .nav-item[b-erkmxwro6x]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-erkmxwro6x]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-erkmxwro6x]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-erkmxwro6x] {
        display: none;
    }

    .collapse[b-erkmxwro6x] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
    
    .nav-scrollable[b-erkmxwro6x] {
        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
